Skip to main content
GET
List the messages one of a chat's turns owns

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskID
string<uuid>
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
chatID
string<uuid>
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
turnID
string<uuid>
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

cursor
string
Minimum string length: 1
limit
integer<int64>
default:200
Required range: 1 <= x <= 200
first_sequence
string

Read only the rows from this sequence through last_sequence, a decimal integer: a tool call group's first_sequence. Comes with last_sequence.

last_sequence
string

Read only the rows from first_sequence through this sequence, a decimal integer: a tool call group's last_sequence. Comes with first_sequence.

Response

OK

items
object[]
required

A user message as the conversation shows it: queued until a turn takes it, then by the record.

next_cursor
string | null
required
Minimum string length: 1
turn_revision_sequence
integer<int64>
required
Required range: 0 <= x <= 9007199254740991